<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterPartsTableAddRelatedTypesUserAndClient extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{

		DB::statement("ALTER TABLE `parts` CHANGE `related_type` `related_type` ENUM( 'task','project','user','client','customer' ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL");

	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		DB::statement("ALTER TABLE `parts` CHANGE `related_type` `related_type` ENUM( 'task','project' ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL");
	}

}
